FROM debian:bookworm

RUN apt update && apt install cmake fontconfig fonts-freefont-ttf \
    fonts-wqy-microhei fonts-vlgothic gettext git make po4a \
    ruby-full rubygems nodejs npm ca-certificates \
    fonts-liberation libappindicator3-1 libasound2 libatk-bridge2.0-0 libatk1.0-0 libc6 libcairo2 \
    libcups2 libdbus-1-3 libexpat1 libfontconfig1 libgbm1 libgcc1 libglib2.0-0 libgtk-3-0 \
    libnspr4 libnss3 libpango-1.0-0 libpangocairo-1.0-0 libstdc++6 libx11-6  libx11-xcb1 libxcb1 \
    libxcomposite1 libxcursor1 libxdamage1 libxext6 libxfixes3 libxi6 libxrandr2 libxrender1 \
    libxss1 libxtst6 lsb-release wget xdg-utils \
    -y

RUN gem install asciidoctor

RUN npm i -g @asciidoctor/core asciidoctor-pdf

CMD echo "Placeholder."
